#include <iostream>

using namespace std;

int main() {
	int a, b;
	cin >> a >> b;
	int x, y;
	cin >> x >> y;
	if (x == a && y == b) cout << "nijedan";
	else if (x == a && y < b) cout << "drugi";
	else if (x < a && y == b) cout << "prvi";
	else cout << "?";
}